petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestSetComputeAdaptivitySF

During the pre-setup phase, set whether transfer PetscSFs should be computed relating the cells of the pre-adaptation forest to the post-adaptiation forest. After DMSetUp() is called, these transfer PetscSFs can be accessed with DMForestGetAdaptivitySF().

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestSetComputeAdaptivitySF(DM dm, PetscBool computeSF)

Logically collective on dm

### Input Parameters

| dm | - the post-adaptation forest
| computeSF | - default PETSC_TRUE

### See Also

DMForestGetComputeAdaptivitySF(), DMForestGetAdaptivitySF()

Level:advanced
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages